<?xml version="1.0" encoding="utf-8"?>
<!-- ****************************************** {COPYRIGHT-TOP} **
* Aperi Storage Manager
* (C) Copyright Eclipse contributors and others. 2007
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
******************************************* {COPYRIGHT-END} * -->

<!DOCTYPE web-app
    PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
    "http://java.sun.com/dtd/web-app_2_3.dtd">

<web-app>

    <display-name>Eclipse BIRT Report Viewer</display-name>

	<context-param>
		<param-name>BIRT_VIEWER_LOCALE</param-name>
		<param-value>en-US</param-value>
	</context-param>

	<context-param>
		<param-name>BIRT_VIEWER_WORKING_FOLDER</param-name>
		<param-value>c:\Aperi\reports</param-value>
	</context-param>
	
	<context-param>
		<param-name>BIRT_VIEWER_DOCUMENT_FOLDER</param-name>
		<param-value>c:\Aperi\reports</param-value>
	</context-param>

	<!-- If usr can only access the reprot and document under document folder. Default is false -->
	<context-param>
		<param-name>DOCUMENT_FOLDER_ACCESS_ONLY</param-name>
		<param-value>true</param-value>
	</context-param>

	<!-- Absolute downloaded image/chart directory. Default to ${birt home}/report/images -->
	<context-param>
		<param-name>BIRT_VIEWER_IMAGE_DIR</param-name>
		<param-value></param-value>
	</context-param>

	<!-- Absolute engine log directory. Default to ${birt home}/logs -->
	<context-param>
		<param-name>BIRT_VIEWER_LOG_DIR</param-name>
		<param-value></param-value>
	</context-param>

	<!-- Report engine log level -->
	<context-param>
		<param-name>BIRT_VIEWER_LOG_LEVEL</param-name>
		<param-value>OFF</param-value>
	</context-param>

	<!-- Absolute directory to store all birt report script libraries (JARs). Default to ${birt home}/scriptlib -->
	<context-param>
		<param-name>BIRT_VIEWER_SCRIPTLIB_DIR</param-name>
		<param-value></param-value>
	</context-param>
	
	<!-- Absolute resource location directory. -->
	<context-param>
		<param-name>BIRT_RESOURCE_PATH</param-name>
		<param-value></param-value>
	</context-param>

	<!-- Preview report max rows limited. -->
	<context-param>
		<param-name>BIRT_VIEWER_MAX_ROWS</param-name>
		<param-value></param-value>
	</context-param>

	<!-- If always overwrite generated document file. Defalult to true -->
	<context-param>
		<param-name>BIRT_OVERWRITE_DOCUMENT</param-name>
		<param-value>true</param-value>
	</context-param>
	
	<!-- Viewer Servlet Context Listener -->
	<listener>
		<listener-class>org.eclipse.birt.report.listener.ViewerServletContextListener</listener-class>
	</listener>
	
	<servlet>
		<servlet-name>ViewerServlet</servlet-name>
		<servlet-class>org.eclipse.birt.report.servlet.ViewerServlet</servlet-class>
	</servlet>

	<servlet>
		<servlet-name>EngineServlet</servlet-name>
		<servlet-class>org.eclipse.birt.report.servlet.BirtEngineServlet</servlet-class>
	</servlet>

	<servlet-mapping>
		<servlet-name>ViewerServlet</servlet-name>
		<url-pattern>/frameset</url-pattern>
	</servlet-mapping>
	
	<servlet-mapping>
		<servlet-name>EngineServlet</servlet-name>
		<url-pattern>/run</url-pattern>
	</servlet-mapping>

	<servlet-mapping>
		<servlet-name>EngineServlet</servlet-name>
		<url-pattern>/download</url-pattern>
	</servlet-mapping>

	<servlet-mapping>
		<servlet-name>EngineServlet</servlet-name>
		<url-pattern>/parameter</url-pattern>
	</servlet-mapping>	
<!-- authentication/authorization -->
	<security-constraint>
 		<display-name>Security constraint for the /bar folder</display-name>
 		<web-resource-collection> 
			<web-resource-name>Authenticated</web-resource-name> 
			<url-pattern>/frameset</url-pattern>
			<url-pattern>/run</url-pattern>
		</web-resource-collection>
		<auth-constraint>
 			<role-name>*</role-name>
		</auth-constraint>
 	</security-constraint>
	<login-config>
		<auth-method>BASIC</auth-method>
		<realm-name>OSRealm</realm-name>
	</login-config>
</web-app>
